/**
* Represents an algebraic vector.
*/
public class GradVector {
	double mag = 0; // magnitude
	double dir = 0; //direction (in radians)

	double hor = 0; // horizontal component
	double vert = 0; // vertical component

	/** Constructor:
	 */
	public GradVector() {
	}

	/** Constructor: initializes the vector.
	 * @param m Magnitude.
	 * @param d Direction.
	 */
	public GradVector(double m, double d) {
		mag = m;
		dir = d;

		hor = Math.cos(dir);
		vert = Math.sin(dir);
	}

	/** Constructor: initializes the vector.
	 * @param h Horizontal components.
	 * @param v Vertical component.
	 * @param comp Initialize vector with vertical, horizontal components.
	 * 		Just a dummy parameter to differentiate this constructor from the other one.
	 */
	public GradVector(double h, double v, boolean comp) {
		mag = Math.sqrt(h * h + v * v);
		dir = Math.atan2(v, h);

		if (mag != 0) {
			hor = h / mag;
			vert = v / mag;
		} else {
			hor = h;
			vert = v;
		}
	}
}